MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
MemoryStorageDirectoryReader::Entry Struct Reference

`#include <MemoryDirectoryReader.hxx>`

Collaboration diagram for MemoryStorageDirectoryReader::Entry:
[legend]

## Public Member Functions
template<typename N >
| Entry (N &&_name)

## Data Fields
std::string | name
StorageFileInfo | info

## Detailed Description

Definition at line 36 of file MemoryDirectoryReader.hxx.

## Constructor & Destructor Documentation

template<typename N >

MemoryStorageDirectoryReader::Entry::Entry | ( | N && | _name | ) |
| inline explicit

Definition at line 42 of file MemoryDirectoryReader.hxx.

## Field Documentation

StorageFileInfo MemoryStorageDirectoryReader::Entry::info

Definition at line 39 of file MemoryDirectoryReader.hxx.

std::string MemoryStorageDirectoryReader::Entry::name

Definition at line 37 of file MemoryDirectoryReader.hxx.

The documentation for this struct was generated from the following file:

- storage/MemoryDirectoryReader.hxx